Skip to main content
To call the API on behalf of a merchant, you need to exchange your partner access token for a merchant access token.
1

Authenticate as a partner

Create an API client and use the credentials to create an access token.
2

Obtain an exchange token

Use the access_token from step 1 to request an exchange token.
Request
curl -X POST https://api.dintero.com/v1/accounts/T11200000/auth/exchange_token \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "account_id": "T11200001"
  }'
Response
{
    "access_token": "eyJhbGci...t7P4",
    "token_type": "Bearer",
    "expires_in": 14400,
    "refresh_token": "..."
}
3

Exchange for a merchant access token

Use the access_token from step 2 to request a merchant token.
Request
curl -X POST https://api.dintero.com/v1/accounts/T11200001/auth/token \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "grant_type": "client_credentials",
    "audience": "https://api.dintero.com/v1/accounts/T11200000"
  }'
Response
{
    "access_token": "eyJhbGci...d5F1",
    "token_type": "Bearer",
    "expires_in": 14400,
    "refresh_token": "..."
}
4

Verify access

Use the merchant access token to retrieve the account details. The response includes the optional applicant.signup_reference that was set during onboarding.
Request
curl https://api.dintero.com/v1/accounts/T11200001/management/settings \
  -H "Authorization: Bearer <TOKEN>"
Response
{
    "account_id": "T11200001",
    "partner_id": "T112",
    "active": true,
    "livemode": false,
    "company": {
        "business_name": "Acme Store AS",
        "organization_number": "987654321",
        "website": "https://acme-store.example.com"
    },
    "applicant": {
        "first_name": "Jane",
        "last_name": "Doe",
        "email": "jane@acme-store.example.com",
        "signup_reference": "abc-123"
    }
}
See the get account settings API reference for all response fields.
Last modified on June 1, 2026